use if ! ( grep { $_ eq '.' } @INC ), qw[lib .];
use lib 'inc';
use Devel::AssertOS qw[Linux];
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.032.
use strict;
use warnings;

use 5.010;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Tapper - Install everything needed for a test",
  "AUTHOR" => "AMD OSRC Tapper Team <tapper\@amd64.org>, Tapper Team <tapper-ops\@amazon.com>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Tapper-Installer",
  "EXE_FILES" => [
    "bin/tapper-installer-client.pl",
    "bin/tapper-installer-simnow.pl"
  ],
  "LICENSE" => "open_source",
  "MIN_PERL_VERSION" => "5.010",
  "NAME" => "Tapper::Installer",
  "PREREQ_PM" => {
    "Daemon::Daemonize" => 0,
    "File::Basename" => 0,
    "File::Path" => 0,
    "File::ShareDir" => 0,
    "File::Temp" => 0,
    "File::Type" => 0,
    "Hash::Merge::Simple" => 0,
    "IO::Handle" => 0,
    "IO::Select" => 0,
    "Log::Log4perl" => 0,
    "Moose" => 0,
    "MooseX::Log::Log4perl" => 0,
    "Socket" => 0,
    "Sys::Hostname" => 0,
    "Tapper::Base" => 0,
    "Tapper::Config" => 0,
    "Tapper::Remote::Config" => 0,
    "Tapper::Remote::Net" => 0,
    "URI::Escape" => 0,
    "YAML" => 0,
    "common::sense" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Cwd" => 0,
    "Data::Dumper" => 0,
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Test::Deep" => 0,
    "Test::MockModule" => 0,
    "Test::More" => 0,
    "subs" => 0
  },
  "VERSION" => "5.0.2",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Cwd" => 0,
  "Daemon::Daemonize" => 0,
  "Data::Dumper" => 0,
  "File::Basename" => 0,
  "File::Path" => 0,
  "File::ShareDir" => 0,
  "File::Spec" => 0,
  "File::Temp" => 0,
  "File::Type" => 0,
  "Hash::Merge::Simple" => 0,
  "IO::Handle" => 0,
  "IO::Select" => 0,
  "IPC::Open3" => 0,
  "Log::Log4perl" => 0,
  "Moose" => 0,
  "MooseX::Log::Log4perl" => 0,
  "Socket" => 0,
  "Sys::Hostname" => 0,
  "Tapper::Base" => 0,
  "Tapper::Config" => 0,
  "Tapper::Remote::Config" => 0,
  "Tapper::Remote::Net" => 0,
  "Test::Deep" => 0,
  "Test::MockModule" => 0,
  "Test::More" => 0,
  "URI::Escape" => 0,
  "YAML" => 0,
  "common::sense" => 0,
  "strict" => 0,
  "subs" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
